Summary: Red Hat Package Manager
Name: rpm
%define version 2.5
Version: %{version}
Release: 2
Group: Utilities/System
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-2.5/rpm-%{version}.tar.gz
Copyright: GPL
Buildroot: /tmp/rpm
Conflicts: patch < 2.5
Summary(de): Red Hat-Paket-Manager
Summary(tr): Red Hat Paket yneticisi

%package devel
Summary: Header files and libraries for programs that manipulate rpm packages
Group: Development/Libraries
Summary(de): Header-Dateien und Libraries fr Programme zur Manipulation von  rpm-Paketen
Summary(fr): En-ttes et bibliothques pour les programmes manipulant les rpm

%description
RPM is a powerful package manager, which can be used to build, install, 
query, verify, update, and uninstall individual software packages. A 
package consists of an archive of files, and package information, including 
name, version, and description.

%description devel
The RPM packaging system includes a C library that makes it easy to
manipulate RPM packages and databases. It is intended to ease the
creation of graphical package managers and other tools that need
intimate knowledge of RPM packages.

%description -l de devel
Das RPM-Packsystem enthlt eine C-Library, die das Bearbeiten von
RPM-Paketen und -Datenbanken vereinfacht. Es soll das
Erstellen von grafischen Pack-Managern und anderen Tools
erleichtern, die eine solide Kenntnis von RPM-Paketen erfordern.

%description -l de
RPM ist ein leistungsfhiger Paket-Manager zum Erstellen, Installieren,
Abfragen, berprfen, Aktualisieren und Deinstallieren einzelner Software-
Pakete. Ein Paket besteht aus einem Dateiarchiv und Paketinformationen, z.B.
Name, Version und Beschreibung.

%description -l fr devel
Le systme de packaging RPM contient une bibliothque C qui
facilite la manipulation des paquetages RPM et des bases de donnes.
Il est conu pour faciliter la cration des gestionnaires graphiques
de paquetages et des autres outils qui ncessitent une connaissance
approfondie des paquetages RPM.

%description -l fr
RPM est un puissant gestionnaire de paquetage, qui peut servir  construire,
installer, interroger, vrifier, mettre  jour et dsinstaller des paquetages
individuellement. Un paquetage est une archive de fichiers avec des
informations comme le nom, la version et la description de ce paquetage.

%description -l tr devel
Bu paket, RPM paketleriyle ilgili bilgi almas gereken uygulamalar yazmak
iin kullanlabilecek dosyalar ierir.

%description -l tr
RPM yazlmlar, bir tanm, ykleme bilgileri, srm, srm zerindeki
deiiklikleri ile birlikte bir paket olarak saklamak, bu paketleri yklemek
veya yklenmi paketleri silmek ya da gncellemek iin kullanlan son derece
yetenekli bir paketleme sistemidir.

%changelog
* Sun May 10 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

%prep
%setup

rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SOURCES
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SPECS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/RPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SRPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/BUILD
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/RPMS/${RPM_ARCH}
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/RPMS/noarch

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

make

%install
make installprefix="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/rpm --initdb

%files
%doc RPM-PGP-KEY CHANGES groups
%doc docs/*
/bin/rpm
/usr/bin/rpm2cpio
/usr/bin/gendiff
/usr/bin/find-provides
/usr/bin/find-requires
/usr/man/man8/rpm.8
/usr/man/man8/rpm2cpio.8
/usr/lib/rpmrc
/usr/lib/rpmpopt
%dir /usr/src/redhat
%dir /usr/src/redhat/BUILD
%dir /usr/src/redhat/SPECS
%dir /usr/src/redhat/SOURCES
%dir /usr/src/redhat/SRPMS
/usr/src/redhat/RPMS
/usr/share/locale/*/LC_MESSAGES/rpm.mo

%files devel
/usr/include/rpm
/usr/lib/librpm.a
